// mockup: management of ROM data

#include <stdio.h>
#include "rommgmt_mock.h"

namespace xatremu
{

ROMMgmtMock::ROMMgmtMock(){
	ROMSize = 0;
	ROMData = NULL;
};

ROMMgmtMock::~ROMMgmtMock(){
	if (ROMSize > 0) {
		delete[] ROMData;
	};
	ROMSize = 0;
};

int ROMMgmtMock::LoadData(const char*){
	ROMSize = 0x1000;
	ROMData = new unsigned char[0x1000+3];
	return 1;
};

unsigned char * ROMMgmtMock::GetDataPtr(){
	return ROMData;
};

unsigned long int ROMMgmtMock::GetDataLen(){
	return ROMSize;
};

}
